Delete a wallet card by unique identifier
curl --request DELETE \
--url https://api.bambumeta.software/brands/{brand_id}/programs/{program_id}/wallets \
--header 'Authorization: <api-key>'import requests
url = "https://api.bambumeta.software/brands/{brand_id}/programs/{program_id}/wallets"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://api.bambumeta.software/brands/{brand_id}/programs/{program_id}/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Wallet pass deleted"
}Wallet cards
Delete a wallet card by unique identifier
Deletes the wallet pass for the cardholder matching unique_id. This is destructive. Confirm the identifier before calling.
DELETE
/
{brand_id}
/
programs
/
{program_id}
/
wallets
Delete a wallet card by unique identifier
Authorizations
Query Parameters
Person Identifier
Email Address, for backwards compatibility, you should be using the unique_id. Only works if the email address is the unique identifier for the brand.
External unique identifier for the wallet card (recommended). Must match the value stored in passdata.metaData at issue time, such as memberId.
Response
OK